mono-symbolicate(1)

NAME
mono-symbolicate - Mono Symbolicate Tool

SYNOPSIS

mono-symbolicate <msym dir> <input file>

mono-symbolicate store-symbols <msym dir> [<dir>]+

DESCRIPTION
mono-symbolicate is a tool that converts a stack trace with <filename unknown>:0 into one with file names and line numbers.

When mono-symbolicate is called with a symbol directory and a file containing a stacktrace:

mono-symbolicate <msym dir> <input file>

The tool writes into stdout the file contents while adding file location to stack frames when it is possible to symbolicate with the symbols available on the symbol directory.

Managed symbols .exe/.dll can be added to the symbol directory by doing:

mono-symbolicate store-symbols <msym dir> [<dir>]+

AUTHOR
Written by Marcos Henrich

COPYRIGHT
Copyright (C) 2015 Xamarin.

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-devel-list for details.

WEB SITE
Visit http://www.mono-project.com for details